## kde-dev-utils 4.13.0

=== kmtrace/CMakeLists.txt ===
project(kmtrace)
# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(CheckIncludeFile)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(CheckCSourceCompiles)

check_c_source_compiles("
#include <stdlib.h>

int main() {
#ifndef __GLIBC__
  choke me
#endif
  return 0;
}" LIBC_IS_GLIBC)

# Check if libiberty is available
find_library(LIBIBERTY_LIBRARY NAMES iberty)
if (LIBIBERTY_LIBRARY AND LIBC_IS_GLIBC)

  include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kminspector.cmake ${CMAKE_CURRENT_BINARY_DIR}/kminspector )
  INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kminspector DESTINATION ${BIN_INSTALL_DIR})
  ########### kmtrace ###############

  set(kmtrace_SRCS kmtrace.cpp)


  kde4_add_executable(kmtrace ${kmtrace_SRCS})

  target_link_libraries(kmtrace ${LIBIBERTY_LIBRARY} ${KDE4_KDECORE_LIBS} ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS kmtrace ${INSTALL_TARGETS_DEFAULT_ARGS})

  ########### demangle ###############

  set(demangle_SRCS demangle.cpp)


  kde4_add_executable(demangle ${demangle_SRCS})

  target_link_libraries(demangle   ${LIBIBERTY_LIBRARY} ${QT_QTCORE_LIBRARY})

install(TARGETS demangle ${INSTALL_TARGETS_DEFAULT_ARGS})


  ########### kmmatch ###############

  set(kmmatch_SRCS match.cpp)


  kde4_add_executable(kmmatch ${kmmatch_SRCS})

  target_link_libraries(kmmatch   ${QT_QTCORE_LIBRARY})

install(TARGETS kmmatch ${INSTALL_TARGETS_DEFAULT_ARGS})


  ########### ktrace ###############

  set(ktrace_LIB_SRCS ksotrace.cpp ktrace.c)


  kde4_add_library(ktrace SHARED ${ktrace_LIB_SRCS})

  target_link_libraries(ktrace   dl)

  set_target_properties(ktrace PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS ktrace ${INSTALL_TARGETS_DEFAULT_ARGS})

  ########### install files ###############

install( FILES kde.excludes  DESTINATION  ${DATA_INSTALL_DIR}/kmtrace )
  install( FILES ktrace.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel )

add_subdirectory( doc )

endif ()

=== kstartperf/CMakeLists.txt ===
project(kstartperf)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(CheckIncludeFile)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})


# By default in kde3 kstartpref was not compiled, but well, if it compiles...
check_include_file(ltdl.h HAVE_LTDL_H)
if(HAVE_LTDL_H AND NOT APPLE AND NOT WIN32)
########### next target ###############

set(kstartperf_LIB_SRCS libkstartperf.c )


kde4_add_plugin(kstartperf ${kstartperf_LIB_SRCS})

target_link_libraries(kstartperf ${CMAKE_DL_LIBS})

install(TARGETS kstartperf DESTINATION ${PLUGIN_INSTALL_DIR} )


########### next target ###############

set(kstartperf_bin_SRCS kstartperf.cpp )


kde4_add_executable(kstartperf_bin NOGUI ${kstartperf_bin_SRCS})

set_target_properties(kstartperf_bin PROPERTIES OUTPUT_NAME kstartperf)


target_link_libraries(kstartperf_bin  ${KDE4_KDECORE_LIBS})

install(TARGETS kstartperf_bin  ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

## kde-dev-utils 4.11.2

=== debian/changelog ===
kde-dev-utils (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:04:34 +0100

kde-dev-utils (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:10:01 +0100

kde-dev-utils (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:04:59 +0100

kde-dev-utils (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:12:46 +0100

kde-dev-utils (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:08 +0000

kde-dev-utils (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * Fix debian/copyright to only list kde-dev-utils

  [ Michał Zając ]
  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:04:06 +0100

kde-dev-utils (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kde-dev-utils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:32:40 +0100

=== debian/control ===
Source: kde-dev-utils
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), binutils-dev, libltdl-dev,
 x11proto-core-dev, libx11-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils

Package: kmtrace
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, less
Description: memory leak tracer
 KMtrace is a KDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .
 This package is part of the KDE Software Development Kit module.

Package: kpartloader
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: test tool for KParts
 KPartloader is a very simple application to test loading of a KPart.
 KPartloader is called with a simple argument to tell which KPart to load.
 .
 KParts is a KDE core technology to embed components of one application into 
 other applications. This application is used for testing such components 
 during development.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-misc
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev, gimp, inkscape, xpaint
Description: miscellaneous tools from the KDE Software Development Kit
 This package contains additional tools to aid in development for KDE.
 .
 Included are:
  - headers to assist with profiling KDE code
  - a KDE address book resource for KDE Subversion repository accounts
  - kstartperf to measure startup time
 .
 This package is part of the KDE Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qt4-designer
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE Software Development Kit module.

Package: kde-dev-utils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg (<< 4:4.10.80)
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg (<< 4:4.10.80)
Recommends: kate-dbg
Suggests: kmtrace (= ${source:Version}) |
 kpartloader (= ${source:Version}) |
 kdesdk-misc (= ${source:Version}) |
 kuiviewer (= ${source:Version})
Description: debugging symbols for kde-dev-utils
 This package contains debugging files used to investigate problems with
 binaries included in kde-dev-utils.

## kde-dev-utils 4.11.3

=== debian/changelog ===
kde-dev-utils (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Re-enable kmtrace:
    - add kmtrace in control
    - add the libiberty-dev | binutils-dev build dependency
    - provide kmtrace.install and kmtrace.lintian-overrides

 -- Pino Toscano <pino@debian.org>  Sat, 30 Nov 2013 14:53:50 +0100

kde-dev-utils (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:26:06 +0100

kde-dev-utils (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:59:37 +0200

=== debian/control ===
Source: kde-dev-utils
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11),
 libiberty-dev | binutils-dev,
 libltdl-dev,
 libx11-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-utils.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-utils.git

Package: kdesdk-misc
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: miscellaneous tools from the KDE Software Development Kit
 This package contains additional tools to aid in development for KDE.
 .
 Included are:
  - headers to assist with profiling KDE code
  - kstartperf to measure startup time
 .
 This package is part of the KDE Software Development Kit module.

Package: kpartloader
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: test tool for KParts
 KPartloader is a very simple application to test loading of a KPart.
 KPartloader is called with a simple argument to tell which KPart to load.
 .
 KParts is a KDE core technology to embed components of one application into
 other applications. This application is used for testing such components
 during development.
 .
 This package is part of the KDE Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qt4-designer
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE Software Development Kit module.

Package: kmtrace
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, less
Description: memory leak tracer
 KMtrace is a KDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-utils 4.12.2

=== debian/changelog ===
kde-dev-utils (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:28 +0200

kde-dev-utils (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.11),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11),
- libiberty-dev | binutils-dev,
- libltdl-dev,
- libx11-dev
-Standards-Version: 3.9.4
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.11),
+               libiberty-dev | binutils-dev,
+               libltdl-dev,
+               libx11-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-utils.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-utils.git
@@ -21,7 +23,7 @@
 Package: kdesdk-misc
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libqt4-dev
 Description: miscellaneous tools from the KDE Software Development Kit
  This package contains additional tools to aid in development for KDE.
@@ -35,7 +37,7 @@
 Package: kpartloader
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: test tool for KParts
  KPartloader is a very simple application to test loading of a KPart.
  KPartloader is called with a simple argument to tell which KPart to load.
@@ -49,7 +51,7 @@
 Package: kuiviewer
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: qt4-designer
 Description: viewer for Qt Designer user interface files
  KUIViewer is a utility to display and check user interface (.ui) files
@@ -64,7 +66,7 @@
 Package: kmtrace
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, less
+Depends: less, ${misc:Depends}, ${shlibs:Depends}
 Description: memory leak tracer
  KMtrace is a KDE tool to assist with malloc debugging using glibc's
  "mtrace" functionality.

## kde-dev-utils 4.12.3

=== debian/changelog ===
kde-dev-utils (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:30:51 +0100

kde-dev-utils (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:35:31 +0100

kde-dev-utils (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:49:37 +0000

kde-dev-utils (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:07:49 +0000

kde-dev-utils (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:41:50 +0000

kde-dev-utils (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:46:02 +0000

kde-dev-utils (4:4.11.95-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Build-depend on libiberty-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:54:46 +0100

kde-dev-utils (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:35:00 +0100

=== debian/control ===
Source: kde-dev-utils
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.12.3), binutils-dev, libltdl-dev,
 x11proto-core-dev, libx11-dev, libiberty-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils

Package: kmtrace
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, less
Description: memory leak tracer
 KMtrace is a KDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .
 This package is part of the KDE Software Development Kit module.

Package: kpartloader
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: test tool for KParts
 KPartloader is a very simple application to test loading of a KPart.
 KPartloader is called with a simple argument to tell which KPart to load.
 .
 KParts is a KDE core technology to embed components of one application into 
 other applications. This application is used for testing such components 
 during development.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-misc
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev, gimp, inkscape, xpaint
Description: miscellaneous tools from the KDE Software Development Kit
 This package contains additional tools to aid in development for KDE.
 .
 Included are:
  - headers to assist with profiling KDE code
  - a KDE address book resource for KDE Subversion repository accounts
  - kstartperf to measure startup time
 .
 This package is part of the KDE Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qt4-designer
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE Software Development Kit module.

Package: kde-dev-utils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg (<< 4:4.10.80)
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg (<< 4:4.10.80)
Recommends: kate-dbg
Suggests: kmtrace (= ${source:Version}) |
 kpartloader (= ${source:Version}) |
 kdesdk-misc (= ${source:Version}) |
 kuiviewer (= ${source:Version})
Description: debugging symbols for kde-dev-utils
 This package contains debugging files used to investigate problems with
 binaries included in kde-dev-utils.

## kde-dev-utils 4.13.0

=== debian/changelog ===
kde-dev-utils (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:46:43 +0100

kde-dev-utils (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:17:17 +0200

kde-dev-utils (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:05:27 +0100

kde-dev-utils (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:45:36 +0000

kde-dev-utils (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:39:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), binutils-dev, libltdl-dev,
+ kdelibs5-dev (>= 4:4.13.0), binutils-dev, libltdl-dev,
  x11proto-core-dev, libx11-dev, libiberty-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-dev-utils-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kde-dev-utils-([\d\.]*).tar.xz

## kde-dev-utils 4.14.1

=== debian/changelog ===
kde-dev-utils (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:42:35 +0200

kde-dev-utils (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:43:43 +0200

kde-dev-utils (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:28:57 +0200

kde-dev-utils (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:59:33 +0200

kde-dev-utils (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 22:56:46 +0200

kde-dev-utils (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:48:05 +0100

kde-dev-utils (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 10 Jun 2014 17:50:49 +0200

=== debian/control ===
Source: kde-dev-utils
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libiberty-dev | binutils-dev,
               libltdl-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-utils.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-utils.git

Package: kdesdk-misc
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: miscellaneous tools from the KDE Software Development Kit
 This package contains additional tools to aid in development for KDE.
 .
 Included are:
  - headers to assist with profiling KDE code
  - kstartperf to measure startup time
 .
 This package is part of the KDE Software Development Kit module.

Package: kpartloader
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: test tool for KParts
 KPartloader is a very simple application to test loading of a KPart.
 KPartloader is called with a simple argument to tell which KPart to load.
 .
 KParts is a KDE core technology to embed components of one application into
 other applications. This application is used for testing such components
 during development.
 .
 This package is part of the KDE Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qt4-designer
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE Software Development Kit module.

Package: kmtrace
Architecture: any
Section: devel
Depends: less, ${misc:Depends}, ${shlibs:Depends}
Description: memory leak tracer
 KMtrace is a KDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-utils 4.14.2

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(kmtrace)
add_subdirectory(kpartloader)
add_subdirectory(kprofilemethod)
add_subdirectory(kstartperf)
add_subdirectory(kuiviewer)

=== kprofilemethod/CMakeLists.txt ===
project(kprofilemethod)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

install( FILES kprofilemethod.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== debian/changelog ===
kde-dev-utils (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:44:17 +0200

kde-dev-utils (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Fix copyright to use LGPL-KDEeV as short license.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:19:33 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libiberty-dev | binutils-dev,
                libltdl-dev,
                libx11-dev,

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kde-dev-utils-([\d\.]*).tar.xz

## kde-dev-utils 14.12.3

=== debian/changelog ===
kde-dev-utils (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:23:59 -0700

kde-dev-utils (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:26:54 -0800

kde-dev-utils (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:03:09 +0100

kde-dev-utils (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Philip Muškovac ]
  * New upstream release candidate
  * Fix watch urls for new release location
  * Update Vcs urls for the new repository location
  * Update the maintainer

  [ Jonathan Riddell ]
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Dec 2014 14:59:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kde-dev-utils
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,18 +9,16 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                libiberty-dev | binutils-dev,
                libltdl-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-utils
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-utils.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-utils.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-dev-utils.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-dev-utils.git
 
 Package: kdesdk-misc
 Architecture: any

## kde-dev-utils 15.08.2

=== debian/changelog ===
kde-dev-utils (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:10:16 +0100

kde-dev-utils (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:22:23 +0100

kde-dev-utils (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:12:27 +0100

kde-dev-utils (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:39:22 +0100

kde-dev-utils (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release 
  * Fix version
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:49:15 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libltdl-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-dev-utils.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-dev-utils.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kde-dev-utils-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kde-dev-utils-([\d.]+).tar.xz

## kde-dev-utils 15.12.2

=== debian/changelog ===
kde-dev-utils (4:15.12.2-2) unstable; urgency=medium

  [ Rohan Garg ]
  * New upstream release

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 16:50:41 +0200

kde-dev-utils (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 15:46:01 +0100

## kde-dev-utils 15.12.3

=== debian/changelog ===
kde-dev-utils (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:11:06 -0700

kde-dev-utils (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:34:55 +0100

kde-dev-utils (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:44:50 +0000

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-dev-utils.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-dev-utils.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-dev-utils.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-dev-utils.git
 
 Package: kdesdk-misc
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kde-dev-utils-([\d.]+).tar.xz

## kde-dev-utils 16.08.0

=== debian/changelog ===
kde-dev-utils (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 15:47:38 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                libltdl-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-dev-utils.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-dev-utils.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-utils.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-utils.git
 
 Package: kdesdk-misc
 Architecture: any

## kde-dev-utils 16.12.3

=== debian/changelog ===
kde-dev-utils (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:50 +0000

kde-dev-utils (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:27 +0000

kde-dev-utils (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
                libiberty-dev | binutils-dev,
                libltdl-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-utils.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-utils.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-utils
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-utils
 
 Package: kdesdk-misc
 Architecture: any

## kde-dev-utils 17.04.3

=== debian/changelog ===
kde-dev-utils (4:17.04.3-0ubuntu1) artful; urgency=low

  [ Clive Johnston ]
  * Porting packaging to KF5
  
  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Update Suggests: qt4-designer -> qt5-designer
  * Update debian/rules after th port to Qt 5
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:52 +0100

## kde-dev-utils 17.12.3

=== kpartloader/CMakeLists.txt ===
project(kpartloader)
########### kpartloader ###############

set(QT_MIN_VERSION "5.5.0")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE
    COMPONENTS
    Core
)

find_package(KF5 REQUIRED
    COMPONENTS
    CoreAddons
    I18n
    Parts
    WidgetsAddons
)

set(kpartloader_SRCS
    kpartloader.cpp
)

add_executable(kpartloader ${kpartloader_SRCS})
target_link_libraries(kpartloader KF5::Parts)
install(TARGETS kpartloader ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kpartloaderui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kpartloader)

=== kuiviewer/CMakeLists.txt ===
project(kuiviewer)

set(QT_MIN_VERSION "5.5.0")

include(ECMAddAppIcon)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE
    COMPONENTS
    Core
    Designer
    UiTools
)

find_package(KF5 REQUIRED
    COMPONENTS
    CoreAddons
    KIO
    I18n
    Parts
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050500
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_STRICT_ITERATORS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
)

########### next target ###############

set(kuiviewer_SRCS main.cpp kuiviewer.cpp )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kuiviewer.png")
ecm_add_app_icon(kuiviewer_SRCS ICONS ${ICONS_SRCS})

add_executable(kuiviewer ${kuiviewer_SRCS})

target_link_libraries(kuiviewer  KF5::Parts  )

install(TARGETS kuiviewer  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kuiviewerpart_PART_SRCS kuiviewer_part.cpp )

ecm_qt_declare_logging_category(kuiviewerpart_PART_SRCS
    HEADER kuiviewer_part_debug.h
    IDENTIFIER KUIVIEWERPART
    CATEGORY_NAME "kuiviewerpart"
)

add_library(kuiviewerpart MODULE ${kuiviewerpart_PART_SRCS})

target_link_libraries(kuiviewerpart  KF5::Parts Qt5::Designer Qt5::UiTools)

install(TARGETS kuiviewerpart  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### next target ###############

set(quithumbnail_PART_SRCS quicreator.cpp )

add_library(quithumbnail MODULE ${quithumbnail_PART_SRCS})

target_link_libraries(quithumbnail
    KF5::KIOWidgets
    Qt5::Designer
    Qt5::UiTools
)

install(TARGETS quithumbnail  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( PROGRAMS org.kde.kuiviewer.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES designerthumbnail.desktop kuiviewer_part.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES kuiviewer_part.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kuiviewerpart )
install( FILES kuiviewerui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kuiviewer )

ecm_install_icons(ICONS
    16-apps-kuiviewer.png
    32-apps-kuiviewer.png
    48-apps-kuiviewer.png
    64-apps-kuiviewer.png
    128-apps-kuiviewer.png
    sc-apps-kuiviewer.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
kde-dev-utils (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:35 +0000

kde-dev-utils (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:56:50 +0000

kde-dev-utils (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:07 +0000

=== debian/control ===
Source: kde-dev-utils
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5widgetsaddons-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0),
               qttools5-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-utils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-utils

Package: kpartloader
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: test tool for KParts
 KPartloader is a very simple application to test loading of a KPart.
 KPartloader is called with a simple argument to tell which KPart to load.
 .
 KParts is a KDE core technology to embed components of one application into
 other applications. This application is used for testing such components
 during development.
 .
 This package is part of the KDE Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qt5-designer
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-utils 18.04.3

=== debian/changelog ===
kde-dev-utils (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/patches: Add upstream patch to fix build with ki18n from
    frameworks >= 5.48

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:07 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5widgetsaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.5.0),
-               qttools5-dev
+               qttools5-dev,
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-utils

## kde-dev-utils 18.08.1

=== debian/changelog ===
kde-dev-utils (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - builds fine again (Closes: #907962)
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the extra-cmake-modules build dependency to >= 5.14.0, according to
    the upstream build system.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Small touches to copyright file.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Sep 2018 06:54:05 +0200

kde-dev-utils (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Remove the unused python build dependency.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch the qt5-designer suggest in kuiviewer to qttools5-dev-tools, which
    is the actual package containing Qt Designer
    - adapt the description as well

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:08:02 +0100

kde-dev-utils (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team (Closes: #879324)

  [ Pino Toscano ]
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 21:17:00 +0100

kde-dev-utils (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:09 +0200

kde-dev-utils (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:58:54 +0000

kde-dev-utils (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:33:30 +0000

kde-dev-utils (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:15:10 +0000

kde-dev-utils (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:59 +0000

kde-dev-utils (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:14:50 +0000

kde-dev-utils (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:31 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kde-dev-utils 18.12.3

=== debian/changelog ===
kde-dev-utils (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:21 +0000

kde-dev-utils (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:14:45 +0000

kde-dev-utils (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:09:47 +0000

kde-dev-utils (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:21 +0000

kde-dev-utils (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Drop upstream patches.
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 11:14:49 +0000

## kde-dev-utils 19.04.3

=== debian/changelog ===
kde-dev-utils (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:01 +0100

kde-dev-utils (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:03:46 +0100

kde-dev-utils (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:56:59 +0100

kde-dev-utils (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update install files.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:42:26 +0100
